## com.rbnb.api
Interface SinkInterface

All Superinterfaces:
  ClientInterface, Cloneable, RegisteredInterface, RmapInterface, Serializable, SourceInterface, UsernameInterface

All Known Subinterfaces:
  Sink

    public interface SinkInterface

extends SourceInterface

Common representation of a sink client application connection to the RBNB server.

Since:
  V2.0
Author:
  Ian Brown
Version:
  09/29/2004

Field Summary

Fields inherited from interface com.rbnb.api.SourceInterface
`ACCESS_APPEND, ACCESS_CREATE, ACCESS_LOAD, ACCESS_NONE`

Fields inherited from interface com.rbnb.api.ClientInterface
`CLIENT, FOREVER, MIRROR, PLUGIN`

Method Summary
`Object` `clone()` Clones this object.
`void` `initiateRequestAt(int indexI)` Initiates a request for the child at the specified index.

Methods inherited from interface com.rbnb.api.SourceInterface
`clearCache, deleteChannels, getAframes, getAkeep, getAmode, getAsize, getCframes, getCkeep, getCsize, getNfs, register, reset, setAframes, setAkeep, setAmode, setAsize, setCframes, setCkeep, setCsize, setNfs`

Methods inherited from interface com.rbnb.api.ClientInterface
`getRemoteID, getType, isRunning, setRemoteID, setType, tryReconnect`

Methods inherited from interface com.rbnb.api.RegisteredInterface
`getRegistered`

Methods inherited from interface com.rbnb.api.RmapInterface
`addChild, compareNames, compareNames, compareTo, findChild, findDescendant, getFullName, getName, getParent, removeChild, removeChildAt, setName, toString, toString`

Methods inherited from interface com.rbnb.api.UsernameInterface
`getUsername, setUsername`

Method Detail

### clone

    Object clone()

  Clones this object.

  This same abstract declaration is also included in RmapInterface.java, but for some unknown reason J# gives a compiler error if it is not also included here.

  Specified by:
    `clone` in interface `ClientInterface`
  Specified by:
    `clone` in interface `RmapInterface`
  Specified by:
    `clone` in interface `SourceInterface`
  Returns:
    the clone.
  Since:
    V2.5
  See Also:
    `Cloneable`
  Author:
    John Wilson
  Version:
    09/29/2004

### initiateRequestAt

    void initiateRequestAt(int indexI)
                           throws AddressException,
                                  SerializeException,
                                  EOFException,
                                  IOException,
                                  InterruptedException

  Initiates a request for the child at the specified index.

  Parameters:
    `indexI` - the index of the child to retrieve.
  Throws:
    `AddressException` - thrown if there is a problem with an address.
    `SerializeException` - thrown if there is a problem with the serialization.
    `EOFException` - thrown if the end of the input stream is reached.
    `IOException` - thrown if there is an error during I/O.
    `ArrayIndexOutOfBoundsException` - thrown if there are no children or the index is not in the range 0 to # of children - 1.
    `InterruptedException` - thrown if the operation is interrupted.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    05/09/2001